You are here

How To Solve Drupal 8.0.0's Requirements Problem On WampServer

Today is a big day for Drupal, as Drupal 8.0.0 just got released a few hours ago. So since people from all over the world will be installing it today to build websites, I'll show you guys how to solve some unusual problems that you might encounter during the installation process. When you install it on your web server, you will most likely be just fine. However, you will undoubtedly encounter the following three problems if you decide to install it on a brand new installation of WampServer (current version: 2.5):

Drupal 8.0.0 Requirements Problem

Drupal 8.0.0 Requirements Problem

The first two error messages are just warning messages, but the third one must be resolved for the installation to continue. Here's how to easily take care of all of them:

1) "Clean URLs - Disabled"

A) Open the "httpd.conf" file in C:\wamp\bin\apache\apache2.4.9\conf directory.

B) Find the line 154 that says: LoadModule rewrite_module modules/mod_rewrite.so

C) Get rid of "#" in front of it, and then save the file.

2) "PHP OPcode caching - Not enabled"

A) Open the php.ini link file in C:\wamp\bin\apache\apache2.4.9\bin. If you use Notepad++ like I do, you can just right-click this weird looking link file to open it (because double-clicking it won't do anything). For others, another easy way to open it is to click the green "W" icon on the bottom right of your screen, hover your mouse over "PHP", and then click on the "php.ini" file.

It's important to note here that editing the php.ini file (which is what I initially edited and then banged my head against the wall a few times wondering why the freaking hell it still didn't work?!?) in C:\Wamp\bin\php\php5.5.12 for steps 2 & 3 will NOT work. Why? I have no freaking clue. :P

B) Find the line 1943 that says: zend_extension = "c:/wamp/bin/php/php5.5.12/zend_ext/php_xdebug-2.2.5-5.5-vc11-x86_64.dll"

C) Add the following code just underneath it (and then go straight to step 3 without saving the file): zend_extension = "c:/wamp/bin/php/php5.5.12/ext/php_opcache.dll"

3) "Xdebug settings - xdebug.max_nesting_level is set to 100."

A) On the same exact php.ini link file from step 2, find the line 1953 (the last line of the file) that says: xdebug.max_nesting_level=100

B) Change the number from 100 to 256.

After going through all the steps, click the green "W" icon on the bottom right of your screen, then click "Restart All Services" (in the worst case scenario, you might have to close WampServer and restart the program), and then try refreshing the installation page to confirm that all of the error messages are gone.

And that's it. The rest of the installation process should be a breeze. Now go have some fun with building your new kickass website, and welcome to the wonderful new world of Drupal 8.0.0. :)

UPDATE (November 20, 2015): P.S. I've only tried installing Drupal 8.0.0 on a LAMP stack on Digital Ocean and WampServer on my PC, so I have no idea how it'll do on MAMP or XAMPP. But if you get similar error messages on them, at least you know what files to look for in order to take care of them. YMMV. Good luck.

You are here